<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;

define('AJAX_OUTPUT',1);

require_once(BASE_DIR . '/class/Class.Comments.php');
$Comments = new Comments();

$_REQUEST['action'] = (!isset($_REQUEST['action'])) ? '' : $_REQUEST['action'];

switch($_REQUEST['action'])
{
	case '':
	default:
		exit;
	break;
	
	case 'checkcode':
		$Comments->CheckScode(@$_REQUEST['ext']);
	break;
	
	case 'switch_online':
		$Comments->switchOnline($_REQUEST['id']);
	break;
	
	case 'delete_comment':
		$Comments->deleteComment($_REQUEST['id']);
	break;
}

/*

if(permission('edit_comments'))
{
	$eintrag = strip_tags($_POST['value'],'<br><br /><em><strong><i><u><img>');
	$id = $_POST['id'];
	
	require_once (BASE_DIR . '/class/Class.Textile.php');
    $t = new Textile();
    $_comment['Eintrag'] = $_POST['value'];//$t->TextileThis(stripslashes($_POST['value']),1);
	
	if (BBCODESITE == 1)
	{
		$_comment['Eintrag'] = pre_kcodes($_comment['Eintrag'], '', 1);
	} else {
		$_comment['Eintrag'] = cleantext($_comment['Eintrag']);
		$_comment['Eintrag'] = nl2br($_comment['Eintrag']);
	}
	
	if (SMILIES == 1)
	{
		$_comment['Eintrag'] = dosmilies($_comment['Eintrag']);
	}
	
	$_comment['Eintrag'] = (!badwordreplace($_comment['Eintrag'])) ? $_comment['Eintrag'] : badwordreplace($_comment['Eintrag']);
	$_comment['Eintrag'] = wordwrap($_comment['Eintrag'], 75, "\n", 1);
	$_comment['Eintrag'] = autowords($_comment['Eintrag']);
	
	$GLOBALS['db']->Query("UPDATE " . PREFIX . "_kommentare SET Eintrag = '". $_POST['value'] . "' WHERE Id = '$id'");
	#echo "<script>document.getElementById('raw_$id').value='xxx';< /script>";
	echo stripslashes($_comment['Eintrag']);
}
*/
?>